org.apache.lucene.document

## Class Field.Store

- java.lang.Object
- - org.apache.lucene.util.Parameter
  - - org.apache.lucene.document.Field.Store

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    Field

      public static final class Field.Store
      extends Parameter
      implements java.io.Serializable

  Specifies whether and how a field should be stored.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Field.Store` | `COMPRESS` Deprecated. Please use `CompressionTools` instead. For string fields that were previously indexed and stored using compression, the new way to achieve this is: First add the field indexed-only (no store) and additionally using the same field name as a binary, stored field with `CompressionTools.compressString(java.lang.String)`.
    `static Field.Store` | `NO` Do not store the field value in the index.
    `static Field.Store` | `YES` Store the original field value in the index.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.util.Parameter

      `readResolve, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COMPRESS

          public static final Field.Store COMPRESS

      Deprecated. Please use `CompressionTools` instead. For string fields that were previously indexed and stored using compression, the new way to achieve this is: First add the field indexed-only (no store) and additionally using the same field name as a binary, stored field with `CompressionTools.compressString(java.lang.String)`.
      Store the original field value in the index in a compressed form. This is useful for long documents and for binary valued fields.

    - #### YES

          public static final Field.Store YES

      Store the original field value in the index. This is useful for short texts like a document's title which should be displayed with the results. The value is stored in its original form, i.e. no analyzer is used before it is stored.

    - #### NO

          public static final Field.Store NO

      Do not store the field value in the index.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.